API - Optimizers
================

.. automodule:: tensorlayer.optimizers

TensorLayer provides simple API and tools to ease research, development and reduce the time to production.
Therefore, we provide the latest state of the art optimizers that work with Tensorflow.
The optimizers functions provided by TensorFlow can be used in TensorLayer.
We have also wrapped the optimizers functions for each framework, which can be found in tensorlayer.optimizers.

Optimizers List
---------------

.. autosummary::

   AMSGrad
   Adadelta
   Adagrad
   Adam
   Adamax
   Ftrl
   Nadam
   RMSprop
   SGD
   Momentum
   Lamb
   LARS

AMSGrad Optimizer
-----------------
.. autoclass:: AMSGrad
  :members: